Bug 1646785 - Please provide full code-point sorting for C.UTF-8
Summary: Please provide full code-point sorting for C.UTF-8
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1361965
TreeView+ depends on / blocked
 
Reported: 2018-11-06 02:14 UTC by Carlos O'Donell
Modified: 2019-11-12 14:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-12 14:32:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 17318 'P2' 'NEW' '[RFE] Provide a C.UTF-8 locale by default' 2019-11-12 14:31:03 UTC

Description Carlos O'Donell 2018-11-06 02:14:43 UTC
The currently implemented C.UTF-8 in Fedora does not provide full code point sorting. The trivial addition of such sorting has exposed some algorithmic problems in upstream and need to be fixed and then backported to rawhide.

Comment 1 Ben Cotton 2019-08-13 17:02:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:13:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Carlos O'Donell 2019-11-12 14:32:49 UTC
Upstream C.UTF-8 will always need to have full code-point sorting for the entire range or it's a bug.

We are going to track this upstream here:
https://sourceware.org/bugzilla/show_bug.cgi?id=17318

I'm closing this as CLOSED/UPSTREAM from the Fedora side.

We will inherit the fix from upstream when we sync.


Note You need to log in before you can comment on or make changes to this bug.